package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.SporadicChargeTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class SporadicChargeInfoQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部编号",required = false)
    private String organId;

    @ApiModelProperty(value = "收费类型",required = false)
    private SporadicChargeTypeEnum chargeType;

    @ApiModelProperty(value = "类型",required = false)
    private String type;

    private boolean isExport = false;

    @ApiModelProperty(value = "是否关闭", required = true)
    private Integer openFlag;

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public SporadicChargeTypeEnum getChargeType() {
        return chargeType;
    }

    public void setChargeType(SporadicChargeTypeEnum chargeType) {
        this.chargeType = chargeType;
    }
}
